package com.tmerclub.cloud.common.product.vo;


import com.tmerclub.cloud.common.vo.BaseVO;

/**
 * VO
 *
 * @author zp
 * @date 2023-11-09 18:00:43
 */
public class StockPointVO extends BaseVO {
    private static final long serialVersionUID = 1L;

    /**
     * 默认仓库id
     */
    private Long defaultWarehouseId;

    /**
     * 仓库数量
     */
    private Integer warehouseSize;

    /**
     * 独立营销门店数量
     */
    private Integer stationSize;

    public Long getDefaultWarehouseId() {
        return defaultWarehouseId;
    }

    public void setDefaultWarehouseId(Long defaultWarehouseId) {
        this.defaultWarehouseId = defaultWarehouseId;
    }

    public Integer getWarehouseSize() {
        return warehouseSize;
    }

    public void setWarehouseSize(Integer warehouseSize) {
        this.warehouseSize = warehouseSize;
    }

    public Integer getStationSize() {
        return stationSize;
    }

    public void setStationSize(Integer stationSize) {
        this.stationSize = stationSize;
    }

    @Override
    public String toString() {
        return "StockPointVO{" +
                "defaultWarehouseId=" + defaultWarehouseId +
                ", warehouseSize=" + warehouseSize +
                ", stationSize=" + stationSize +
                '}';
    }
}
